# gdcm::AnonymizeEvent Class Reference

AnonymizeEvent Special type of event triggered during the Anonymization process. More...

`#include <gdcmAnonymizeEvent.h>`

Inheritance diagram for gdcm::AnonymizeEvent:
[legend]
Collaboration diagram for gdcm::AnonymizeEvent:
[legend]

List of all members.

## Public Types

typedef AnonymizeEvent | Self
typedef AnyEvent | Superclass

## Public Member Functions

| AnonymizeEvent (Tag const &tag=0)
| AnonymizeEvent (const Self &s)
virtual | ~AnonymizeEvent ()
virtual bool | CheckEvent (const ::gdcm::Event *e) const
virtual const char * | GetEventName () const
Tag const & | GetTag () const
virtual ::gdcm::Event * | MakeObject () const
void | SetTag (const Tag &t)

## Detailed Description

AnonymizeEvent Special type of event triggered during the Anonymization process.

See also:
  Anonymizer

## Member Typedef Documentation

typedef AnonymizeEvent gdcm::AnonymizeEvent::Self

typedef AnyEvent gdcm::AnonymizeEvent::Superclass

## Constructor & Destructor Documentation

gdcm::AnonymizeEvent::AnonymizeEvent | ( | Tag const & | tag = `0` | ) | `[inline]`

virtual gdcm::AnonymizeEvent::~AnonymizeEvent | ( |  | ) | `[inline, virtual]`

gdcm::AnonymizeEvent::AnonymizeEvent | ( | const Self & | s | ) | `[inline]`

## Member Function Documentation

virtual bool gdcm::AnonymizeEvent::CheckEvent | ( | const ::gdcm::Event * | e | ) | const`[inline, virtual]`

virtual const char* gdcm::AnonymizeEvent::GetEventName | ( |  | ) | const`[inline, virtual]`

Return the StringName associated with the event.

Implements gdcm::Event.

Tag const& gdcm::AnonymizeEvent::GetTag | ( |  | ) | const`[inline]`

virtual ::gdcm::Event* gdcm::AnonymizeEvent::MakeObject | ( |  | ) | const`[inline, virtual]`

Create an Event of this type This method work as a Factory for creating events of each particular type.

Implements gdcm::Event.

void gdcm::AnonymizeEvent::SetTag | ( | const Tag & | t | ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmAnonymizeEvent.h